$(function() {

	$("#idRead").click(function(){
		// 読込ボタンを押下した場合
		// 最初に未入力チェックのみを実施する。
		var inputText = $("#idInputText").val();
		if ( inputText == "" ){
			alert("文章が入力されていません。");
			return;
		}
		//空じゃなければ通信前にloadingアニメーション開始
		$('#idOutputText').html('<img src="img/loading2.gif" />');
		// 未入力でない場合にはAjax通信により結果を出力する
		$.ajax({
			type: "POST",
			url: "textsplit.php",
			data: {
				"inputText": inputText
			},
			success: function(returnData){
				// 読込成功時
				// alert(returnData);
				$("#idOutputText").html(returnData),$("#idOutputText").resizable();
			}
		});
	});

	// 読込の結果、単語があることが分かった場合
	$("#idOutputText").on("click", 'word', function(){
	    var word = $(this).text();
	    var wordid = $(this).attr("id");
	    $("#idHiddenWord").val(word);
	    $("#idHiddenKouho").val(word);
		$.ajax({
			type: "POST",
			url: "wordsearch.php",
			data: {
				"word": word,
				"outputType": "3"
			},
			success: function(returnData){
				// 読込成功時
				// ポップアップできるように加工する
				jConfirm("<div id=\"rewritekouho\"><p style=\"margin-bottom:10px; color:#555555;\">「"+word+"」のリライト候補</p>"+returnData+"<br/></div><br/><input type=\"text\" id=\"idRewriteText\" value=\" \" />", "リライト候補を選び、OKボタンを押してください",function(r) {
					if(r){
						/*
						var rText = $("#idOutputText").html();
						rText = rText.replace($("#idHiddenWord").val(), $("#idHiddenKouho").val());
						$("#idOutputText").html(rText);
						*/
						$("#"+wordid).html("<font color=\"red\"><b>"+$("#idHiddenKouho").val()+"</b></font>");
					}
				});
			}
		});
	});
});

function DisplayKouho(word){
	$("#idRewriteText").val(word);
	$("#idHiddenKouho").val(word);
}

//入力エリアの文字数カウント
$(function(){
	$('textarea').bind('keydown keyup keypress change click focus',function(){
		var thisValueLength = $(this).val().replace(/\s+/g,'').length;
		$('.count').html(thisValueLength);
	});
});

//for draggable colorbox
(function($){
	    $.fn.tinyDraggable = function(options){
	        var settings = $.extend({ handle: null, exclude: null }, options);
	        return this.each(function(){
	            var dx, dy, el = $(this), handle = settings.handle? $(settings.handle, el): el;
	            handle.on({
	                mousedown: function(e){
	                    if (settings.exclude && ~$.inArray(e.target, $(settings.exclude, el))) return;
	                    var os = el.offset(); dx = e.pageX-os.left, dy = e.pageY-os.top;
	                    $(document).on('mousemove.drag',
	                        function(e){ el.offset({top: e.pageY-dy, left: e.pageX-dx});
	                    });
	                },
	                mouseup: function(e){ $(document).off('mousemove.drag'); }
	            });
	        });
	    }
	}(jQuery));


/*
$(function(){
  $("#idOutputText").resizable();
});

function GetKouho(){
	return $("#idRewriteText").val();
}
*/
